Skip to main content
GET
/
{brand_id}
/
sitemap
/
pages
List Sitemap Pages
curl --request GET \
  --url https://api.scrunchai.com/v1/{brand_id}/sitemap/pages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.scrunchai.com/v1/{brand_id}/sitemap/pages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.scrunchai.com/v1/{brand_id}/sitemap/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "items": [
    {
      "id": 123,
      "url": "<string>",
      "title": "<string>",
      "description": "<string>",
      "depth": 123,
      "audit_score": 123,
      "canonical_url": "<string>",
      "is_priority": true,
      "has_optimized_content": true
    }
  ],
  "domain": "<string>",
  "last_crawl_completed": "2023-11-07T05:31:56Z",
  "offset": 0,
  "limit": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer
required

The unique identifier for the brand.

Query Parameters

domain
string | null

Filter to a specific domain when the brand has multiple registered sites.

limit
integer
default:100

Maximum number of pages to return. Defaults to 100.

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of pages to skip. Use with limit for pagination.

Required range: x >= 0
max_depth
integer | null

Maximum URL path depth to include. 0 returns root pages only.

Required range: x >= 0
path_prefix
string | null

Filter by segment-aligned URL path prefix. For example /blog matches /blog and /blog/post but not /blogger.

is_priority
boolean | null

Filter to (or exclude) pages flagged as priority for the brand.

has_optimized_content
boolean | null

Filter to (or exclude) pages with active AXP optimized content deployed.

search
string | null

Case-insensitive substring match against the page URL or title.

Response

Successful Response

total
integer
required
items
SitemapPageListing · object[]
required
domain
string
required

The domain these pages belong to.

last_crawl_completed
string<date-time> | null
required

When the most recent completed crawl finished.

offset
integer
default:0
limit
integer | null